Bug 206550 - [or_IN] Dependent vowels can not be used with U0B71(i18n)
[or_IN] Dependent vowels can not be used with U0B71(i18n)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Rahul Bhalerao
:
Depends On:
Blocks: 206581
  Show dependency treegraph
 
Reported: 2006-09-14 20:39 EDT by Rahul Bhalerao
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-27 07:39:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
image of 0b71 with dependent vowel with wrongly added dotted circle (8.73 KB, image/jpeg)
2006-09-14 20:39 EDT, Rahul Bhalerao
no flags Details
Pango patch for orya_class_table to include U0B71 as an Oriya consonant (649 bytes, text/x-patch)
2006-09-14 20:49 EDT, Rahul Bhalerao
no flags Details
Verified Image (38.40 KB, image/png)
2007-04-27 07:37 EDT, A S Alam
no flags Details
Verified Image (2.02 KB, image/png)
2007-04-27 07:37 EDT, A S Alam
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 355697 None None None Never

  None (edit)
Description Rahul Bhalerao 2006-09-14 20:39:06 EDT
Description of problem:
Any of the dependent vowels i.e. characters in the range U0B3C-U0B57 can not be
used with U0B71. The dotted circle indicating invalide sequence of characters
appear as shown in the attached image.
This is a rendering engine issue. This problem needs to be fixed in Pango by
defining U0B71 as a regular consonant.

Version-Release number of selected component (if applicable):
fonts-oriya-2.0.1-1
Pango-1.4.3

How reproducible:


Steps to Reproduce:
1. Open gedit
2. Select rawcode for i/p
3. Type following rawcode sequence:
        0B71 0B3E
  
Actual results:
U0B71 followed by dependent vowel along with the dotted circle

Expected results:
0b71 with dependent vowel without dotted circle

Additional info:
Comment 1 Rahul Bhalerao 2006-09-14 20:39:07 EDT
Created attachment 136319 [details]
image of 0b71 with dependent vowel with wrongly added dotted circle
Comment 2 Rahul Bhalerao 2006-09-14 20:49:26 EDT
Created attachment 136320 [details]
Pango patch for orya_class_table to include U0B71 as an Oriya consonant
Comment 3 Rahul Bhalerao 2006-09-14 20:53:32 EDT
This is a bug in Pango. Indic class table for Oriya does not include U0B71. This
affects the rendering of U0B71 as a common consonant. I have added a patch for
Pango above. It works correctly without any modification in font.
Comment 4 Liang Zhang 2006-09-15 01:31:29 EDT
This bug has already been fixed in pango upstream.
http://bugzilla.gnome.org/show_bug.cgi?id=355697 
Comment 5 Matthew Miller 2007-04-06 14:40:24 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 6 Rahul Bhalerao 2007-04-16 06:54:37 EDT
Fixed in FC6.
Comment 7 A S Alam 2007-04-27 07:37:10 EDT
Created attachment 153606 [details]
Verified Image
Comment 8 A S Alam 2007-04-27 07:37:35 EDT
Created attachment 153607 [details]
Verified Image
Comment 9 A S Alam 2007-04-27 07:39:02 EDT
verified version is:
fonts-oriay-2.1.5-1.fc7

Note You need to log in before you can comment on or make changes to this bug.